---
- name: Put all facts from host in file
  copy:
    dest: /tmp/facts
    content: "{{ ansible_facts }}"

- name: Put all groups in file
  copy:
    dest: /tmp/ansible-groups
    content: "{{ groups }}"

- name: Put all facts from host in file
  copy:
    dest: /tmp/hostvars
    content: "{{ hostvars }}"

      #- name: Put cluster variable in file
      #copy:
      #dest: /tmp/nomad_cluster
      #content: "{{ nomad_cluster }}"

- name: Install extra packages
  package:
    name:
      - jq
      - bind-utils
      - zip
      - tree
    state: present

- name: Install nomad jobs
  copy:
    src: files/{{ item }}.nomad
    dest: /tmp/{{ item }}.nomad
  loop:
    - countdash
    - fakedash
    - dns

- name: Install other nomad files
  copy:
    src: files/{{ item }}
    dest: /tmp/{{ item }}
  loop:
    - nomad_server_policy.hcl
    - nomad_client_policy.hcl

- name: Install consul service definitions
  copy:
    src: files/{{ item }}
    dest: /tmp/{{ item }}
  loop:
    - frontend.hcl
    - upstream.hcl

- name: Install consul intention
  copy:
    src: files/intention.hcl
    dest: /tmp/intention.hcl

- name: Install fake-service
  unarchive:
    src: "{{ fake_service_url | join('') }}"
    dest: /usr/local/bin
    mode: "0775"
    remote_src: yes
  vars:
    fake_service_url:
      - https://github.com/nicholasjackson/fake-service/releases/download
      - /v{{ global_fake_service_version }}/fake_service_linux_{{ arch }}.zip

- name: Install envoy repo
  yum_repository:
    name: envoy
    description: Envoy proxy repo
    baseurl: https://rpm.dl.getenvoy.io/public/rpm/el/9/noarch
    gpgcheck: yes
    gpgkey: https://rpm.dl.getenvoy.io/public/gpg.CF716AF503183491.key

